#
# spec file for package ghc-wai-request-spec
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name wai-request-spec
Name:           ghc-%{pkg_name}
Version:        0.10.2.4
Release:        8.1
Summary:        Declarative request parsing
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-wai-devel

%description
WAI Request Spec is a declarative validation layer for HTTP requests.
It aims to make error-handling for malformed requests as easy as taking the
happy path.

A brief summary of the core features:

* Can specify headers and query params as input sources

* Support for parsing ints, floats, text, bytes (with encodings), and bools

* A parser combinator interface for chaining together request requirements

* Support for Alternatives

* Support for optional parameters

* Convenient and informative default error messages that let service consumers
know what went wrong

It is built on WAI, so it is compatible with several Haskell web frameworks.
All you need is the ability to access the Request object, and WAI Request Spec
takes care of the rest!.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jan  9 2017 psimons@suse.com
- Update to version 0.10.2.4 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.10.2.1 revision 0 with cabal2obs.
